
%%
%%  This is file `IUST-Thesis.cls',
%%  It is a modification  of Tabriz_thesis of Vahid Damanafshan,
%%	by: Mahmood Amintoosi, m.amintoosi@gmail.com
%%  http://profsite.sttu.ac.ir/mamintoosi
%%	Ver 0.1, Jan 2012

%% Original Copyright

%%  The original file was xepersian-thesis.cls by Vafa Khalighi
%%   __________________________________
%%   Copyright © 2011-2012 Vahid Damanafshan
%%  
%%   http://damanafshan.tk      
%%   http://forum.parsilatex.com
%% 
%% 
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{IUST-Thesis}
              [10/21/2011 v0.4
 Persian thesis document class in XeLaTeX for University of Tabriz projects/theses/dissertations]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{book}}
\ProcessOptions
\LoadClass[a4paper,12pt]{book}
\def\university#1{\gdef\@university{#1}}
\def\department#1{\gdef\@department{#1}}
\def\degree#1{\gdef\@degree{#1}}
\def\thesisdate#1{\gdef\@thesisdate{#1}}
\newcommand{\firstsupervisor}[1]{\def\@firstsupervisor{#1}}
\newcommand{\fsdegree}[1]{\def\@fsdegree{#1}}
\newcommand{\secondsupervisor}[1]{\def\@secondsupervisor{#1}}
\newcommand{\firstadvisor}[1]{\def\@firstadvisor{#1}}
\newcommand{\fadegree}[1]{\def\@fadegree{#1}}
\newcommand{\innerjuror}[1]{\def\@innerjuror{#1}}
\newcommand{\ijdegree}[1]{\def\@ijdegree{#1}}
\newcommand{\outerjuror}[1]{\def\@outerjuror{#1}}
\newcommand{\ojdegree}[1]{\def\@ojdegree{#1}}
\newcommand{\geAgent}[1]{\def\@geAgent{#1}}
\newcommand{\gedegree}[1]{\def\@gedegree{#1}}
\newcommand{\secondadvisor}[1]{\def\@secondadvisor{#1}}
\newcommand{\latinGo}[1]{\def\@latinGo{#1}}
\def\name#1{\gdef\@name{#1}}
\def\surname#1{\gdef\@surname{#1}}
\def\keywords#1{\gdef\@keywords{#1}}
\def\fa-abstract#1{\gdef\@fa-abstract{#1}}
\def\faculty#1{\gdef\@faculty{#1}}
\def\subject#1{\gdef\@subject{#1}}
\def\field#1{\gdef\@field{#1}}
\def\department#1{\gdef\@department{#1}}
\def\projectLabel#1{\gdef\@projectLabel{#1}}
\def\studentID#1{\gdef\@studentID{#1}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\latintitle#1{\gdef\@latintitle{#1}}
\def\latinauthor#1{\gdef\@latinauthor{#1}}
\def\latindegree#1{\gdef\@latindegree{#1}}
\def\latinfaculty#1{\gdef\@latinfaculty{#1}}
\def\latinthesisdate#1{\gdef\@latinthesisdate{#1}}
\def\latinsubject#1{\gdef\@latinsubject{#1}}
\def\latinfield#1{\gdef\@latinfield{#1}}
\def\firstlatinsupervisor#1{\gdef\@firstlatinsupervisor{#1}}
\def\secondlatinsupervisor#1{\gdef\@secondlatinsupervisor{#1}}
\def\firstlatinadvisor#1{\gdef\@firstlatinadvisor{#1}}
\def\secondlatinadvisor#1{\gdef\@secondlatinadvisor{#1}}
\def\latinname#1{\gdef\@latinname{#1}}
\def\latinsurname#1{\gdef\@latinsurname{#1}}
\def\en-abstract#1{\gdef\@en-abstract{#1}}
\def\latinkeywords#1{\gdef\@latinkeywords{#1}}
\def\latinuniversity#1{\gdef\@latinuniversity{#1}}
\def\latininnerjuror#1{\gdef\@latininnerjuror{#1}}
\def\latinouterjuror#1{\gdef\@latinouterjuror{#1}}
\def\latindepartment#1{\gdef\@latindepartment{#1}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newif\if@bscthesis
\@bscthesisfalse
\DeclareOption{bsc}{\@bscthesistrue}
\newif\if@mscthesis
\@mscthesisfalse
\DeclareOption{msc}{\@mscthesistrue}
\ProcessOptions

\ifx\@projectLabel\undefined%
{
\if@mscthesis
{\projectLabel{پایان‌نامه}}
\else
 \if@bscthesis
 {\projectLabel{پروژه }}
 \else
{\projectLabel{رساله}}
\fi\fi
}\fi

\ifx\@degree\undefined%
{
\if@mscthesis
\degree{کارشناسی ارشد}
\else
\if@bscthesis
\degree{کارشناسی}
\else
\degree{دکتری}
\fi\fi
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%صفحه اول فارسی
\newcommand{\firstPage}{\begin{titlepage}
%\topmargin=-30pt
\vspace{-10mm}
\centerline{{\includegraphics[width=2.5cm]{logo}}}
\par
\vspace{-5mm}
{\large\bfseries\@faculty}
\centerline
{\large\bfseries\@department}
\vskip 5mm
\if@bscthesis 
	{\large\bfseries{پروژه کارشناسی \@subject}
	\ifx\@field\undefined%
		\relax
	\else
		گرایش \@field
	\fi
	}
\else
%	{\large\bfseries \@projectLabel\ \ \writtenfor
%	\@degree{} 
%	}
 {\large\bfseries {پایان نامه}
	\@degree{} 
	}
	{\large\bfseries{ رشته \@subject}}
%	\vskip .2cm
%	\centerline
{\large \bfseries%
گرایش \@field}
\fi	
\vskip 1.5cm
{\huge\titlefont \@title}\par
\par
\vskip 15mm
\large
{
\ifx\@firstsupervisor\undefined%
	\ifx\@secondsupervisor\undefined%
	\else
	\fi
\else
\ifx\@secondsupervisor\undefined%
استاد راهنما
{\Large\bfseries\par
\@firstsupervisor}
\else
\large
اساتید راهنما
\par
{\Large\bfseries \@firstsupervisor{} و \@secondsupervisor}
\fi\fi}
\par\large
{\ifx\@firstadvisor\undefined%
\ifx\@secondadvisor\undefined%
\else\fi
\else
\ifx\@secondadvisor\undefined%
%استاد مشاور
%{\Large\bfseries\par
%\@firstadvisor}
\else

\large
استادان مشاور
\par
{\Large\bfseries\@firstadvisor{} و \@secondadvisor}
\fi\fi}
\vskip 1cm
پژوهشگر

\par
{\Large\bfseries{\large\bfseries   \@name\ \ \@surname}}
\par
\vskip 6mm
%\vfill
{\large \@thesisdate}
%\vfill
\end{titlepage}%
} % end of firstPage

\newcommand{\besmPage}{
%%************************************************** صفحه سفید
\newpage
%\pagestyle{empty}\noindent\\ 
%%************************************************** بسم الله الرحمن الرحیم
\newpage
\thispagestyle{empty}
%\hfill
\begin{center}
\includegraphics[width=10cm]{besm}
\end{center}
}

%%*********************************************** صفحۀ تاییدیه هیات داوران
\newcommand{\davaranPage}{
\newpage
%\setcounter{page}{1}
\thispagestyle{empty}
%\vspace{-30mm}
%\vskip 5cm
\topmargin=-30pt
\centerline{{\includegraphics[width=2.5cm]{logo}}}
\par
\vskip 7mm
\begin{center}
{\LARGE\textbf\@title}
\end{center}\par
\par
\vskip 7mm
\begin{center}
{\LARGE\textbf{به وسیلۀ}}
\end{center}
\par
\begin{center}
{\textbf\Large\bfseries{\large\bfseries   \@name\ \ \@surname}}
\end{center}
\par
\vskip 10mm
\centerline{\Large\textbf{پایان نامه}}
\vskip 2mm
\centerline{\textbf{ارائه شده به تحصیلات تکمیلی دانشگاه به عنوان بخشی از فعالیت‌های تحصیلی لازم برای اخذ }}
\vskip 2mm
\centerline{\textbf{
درجۀ
\@degree}
}
%\end{center} 
\par
\vskip 7mm
\begin{center}
{\large\textbf{در رشتۀ:}}
\end{center}
\begin{center}
{\large\textbf{\@subject}}
\end{center}
\par
\vskip 3mm
\centerline {\small{در تاریخ ................ توسط هیأت داوران زیر بررسی و با درجۀ ............... به تصویب نهایی رسید.}}
\vskip 3mm
\begin{tabular}{@{}rrrr@{}}
%\toprule
%  \multicolumn{2}{c}{Item} &\multicolumn{1}{c}{Price/lb} \\
%\cmidrule(r){1-2}\cmidrule(l){3-3}
%  Food & Category & \multicolumn{1}{c}{\$}\\
%\midrule
1- استاد راهنما:&    \@firstsupervisor  & با مرتبۀ علمی \@fsdegree   & امضاء\\
2- استاد مشاور: &   \@firstadvisor & با مرتبۀ علمی \@fadegree  & امضاء\\
3- استاد داور  :&   \@innerjuror  & با مرتبۀ علمی \@ijdegree   & امضاء\\
4- استاد داور  : &    \@outerjuror  & با مرتبۀ علمی \@ojdegree  & امضاء\\
5- نمایندۀ تحصیلات تکمیلی دانشگاه:&   \@geAgent  & با مرتبۀ علمی  \@gedegree   & امضاء\\
%\bottomrule

\end{tabular}
%1- استاد راهنما:\;\;    \@firstsupervisor    \; \; با مرتبۀ علمی \@fsdegree \;\; امضاء\\
%%\vskip 2mm
%2- استاد مشاور: \;\;   \@firstadvisor    \; \; با مرتبۀ علمی \@fadegree \;\; امضاء\\
%%\vskip 2mm
%3- استاد داور داخل گروه:\;\;    \@innerjuror    \;\; با مرتبۀ علمی \@ijdegree  \;\; امضاء\\
%%\vskip 2mm
%4- استاد داور خارج گروه: \;\;  \@outerjuror   \;\; با مرتبۀ علمی \@ojdegree \;\; امضاء\\
%%\vskip 2mm
%5- نمایندۀ تحصیلات تکمیلی دانشگاه: \;\;  \@geAgent  \;\; با مرتبۀ علمی \@gedegree \;\; امضاء\\

%گرایش: \@field
}

% ****************************************************تأییدیه‌ی صحت و اصالت نتایج
\newcommand{\esalatPage}{
\newpage
%\thispagestyle{empty}
\begin{center}
{\Large \titlefont
تأییدیه‌ی صحت و اصالت نتایج \\
 }
\vspace{.5cm}
باسمه تعالی 
\vspace{.5cm}
\end{center}
\doublespacing 

اینجانب 
\@name \ \@surname \ 
به شماره دانشجویی 
\@studentID {}
دانشجوی رشته 
\@subject {}
مقطع تحصیلی 
\@degree {}
تأیید می‌نمایم كه كلیه‌ی نتایج این \@projectLabel{} حاصل كار اینجانب و بدون هرگونه دخل و تصرف است و موارد نسخه‌برداری‌شده از آثار دیگران را با ذكر كامل مشخصات منبع ذكر كرده‌ام. درصورت اثبات خلاف مندرجات فوق، به تشخیص دانشگاه مطابق با ضوابط و مقررات حاكم ( قانون حمایت از حقوق مؤلفان و مصنفان و قانون ترجمه و تكثیر كتب و نشریات و آثار صوتی، ضوابط و مقررات آموزشی، پژوهشی و انضباطی ... ) با اینجانب رفتار خواهد شد و حق هرگونه اعتراض درخصوص احقاق حقوق مكتسب و تشخیص و تعیین تخلف و مجازات را از خویش سلب می‌نمایم. در ضمن، مسؤولیت هرگونه پاسخگویی به اشخاص اعم از حقیقی و حقوقی و مراجع ذی‌صلاح (اعم از اداری و قضایی) به عهده‌ی اینجانب خواهد بود و دانشگاه هیچ‌گونه مسؤولیتی در این خصوص نخواهد داشت.

\vspace{.5cm}
\begin{flushleft}
\begin{tabular}{lr}
نام و نام خانوادگی:   & 	\@name{} \@surname \\
 تاریخ و امضا: & \\
\end{tabular}
\end{flushleft}
}

%***************************************************** مجوز بهره‌برداری از پایان‌نامه
\newcommand{\mojavezPage}
{
\newpage
\thispagestyle{empty}
\begin{center}
{\Large \titlefont
حمایت از حقوق پدیدآورندگان \\
 }
\end{center}
\doublespacing 
\par
پایان نامۀ حاضر، حاصل پژوهشهای نگارنده در دورۀ \;\;  \textbf{\@degree}  \;\;رشتۀ\;\; \textbf{\@subject} \;\;گرایش\;\; \textbf{\@field} \;\;است که در\;\; \;\; {\large \@thesisdate} در \;\; \textbf{\@faculty} \;\;دانشگاه\;\; \textbf{\@university} \;\;به راهنمایی \;\; \textbf{\@firstsupervisor} \;\;و مشاورۀ \;\; \textbf{\@firstadvisor} \;\;از آن دفاع شده است و کلیۀ حقوق مادی و معنوی آن متعلق به دانشگاه یاسوج است.
 
}

% \def\frame{\newpage
% \thispagestyle{empty}
% \begin{framed}\thispagestyle{empty}}
% \def\endframe{\thispagestyle{empty}\end{framed}
% \thispagestyle{empty}
% \newpage
% }
%*******************************صفحه چکیده
\newcommand\abstractPage{\newpage
\thispagestyle{empty}
\vskip 15mm
{\noindent\bfseries چکیده}
\vspace{5mm}
\par
\noindent
\@fa-abstract
\vspace{8mm}
\par
%\noindent
%\textbf{واژگان کلیدی:} 
%\@keywords
\newpage
}

% \def\latinabstract{\newpage
% \thispagestyle{empty}
% \vskip 15mm
% \begin{center}%{\Large\bfseries \@latintitle \\[5mm]}
% {\bfseries Abstract}
% \end{center}
% \vspace{5mm}}

% \def\endlatinabstract{\newpage}
%************************************صفحه قدردانی
\def\acknowledgementpage{\newpage
\thispagestyle{empty}
\centerline{\Large \bfseries قدردانی}
\vspace{1cm}
\par\noindent}
\def\endacknowledgementpage{\newpage}

\def\titlepage{\newpage\centering
  \thispagestyle{empty}
  \parindent 0pt \parskip 10pt plus 1fil minus 1fil
  \def\baselinestretch{1}\@normalsize\vbox to \vsize\bgroup\vbox to 9in\bgroup}
\def\endtitlepage{\par\kern 0pt\egroup\vss\egroup\newpage}

\def\signature{\vspace{1cm}
\begin{flushleft}
{%\nastaliq \scriptsize 
\@name\ \@surname \\
\@thesisdate}
\end{flushleft}}

% \def\abstract{
% \newpage
% \subsection*{چکیده}\small
% \@normalsize
% \@fa-abstract
% }
% \def\endabstract{\par}

%\pagenumbering{harfi}
%\let\ol@chapter\@chapter
%\def\@chapter{%
%  \ifnum\c@chapter=0 \pagenumbering{arabic}\setcounter{page}{1}\fi
%  \ol@chapter}

%\font\latintitlefont=cmssbx10 scaled 2300 %cmssbx10 scaled 2300
\font\supervisorfont=cmbxti10
%first litin page
%******************************صفحه اول لاتین
\newcommand{\latinfirstPage}{%
\newpage\clearpage
\thispagestyle{empty}
\vskip 15mm
{\noindent\bfseries Abstract:}
\vspace{5mm}
\par
\noindent
\@en-abstract
\vspace{8mm}
\par
\noindent
\textbf{Keywords:} 
\@latinkeywords
%title english
\begin{titlepage}
\vspace{-10mm}
{\includegraphics[height=3cm]{logo}}
\centerline{\large\bf \@latinuniversity}
{\large\bfseries\@latinfaculty}\\
\bfseries\@latindepartment\space 
\vskip 15mm
{
\Large
\if@bscthesis 
    Bachelor of Science Thesis
	in  \@latinsubject 
\else
	 \if@mscthesis
	      M.s.c Thesis\\
\vskip 0.3cm
	\else
	 Doctor of Philosophy
	\fi
	%in \\ \vskip 0.3cm \@latinsubject 
	%\baselineskip=.750cm
	%\addtolength{\baselineskip}{-5mm}
\fi
}
\vskip 1cm

{%\latintitlefont 
\Huge
\@latintitle}
%\baselineskip=.750cm \par

\vskip 15mm

\large
{\ifx\@firstlatinsupervisor\undefined%
\ifx\@secondlatinsupervisor\undefined%
\else\fi
\else
\ifx\@secondlatinsupervisor\undefined%
Supervisor:
{\Large\bfseries\par
\@firstlatinsupervisor}
\else
\large
Supervisors:
\par
{\Large\bfseries \@firstlatinsupervisor{} and \@secondlatinsupervisor}
\fi\fi}
\par
\vskip 0.5cm
\large
{\ifx\@firstlatinadvisor\undefined%
\ifx\@secondlatinadvisor\undefined%
\else\fi
\else
\ifx\@secondlatinadvisor\undefined%
Advisor:
{\Large\bfseries\par
\@firstlatinadvisor}
\else

\large
Advisors:
\par
{\Large\bfseries\@firstlatinadvisor{} and \@secondlatinadvisor}
\fi\fi}

\vskip 15mm

{\bfseries\latinby}\par
{\large %\supervisorfont
\rm\@latinname \; \@latinsurname}\par
\par
\vskip 1cm

{\@latinthesisdate}
\par
\vskip 1cm

\par

\vfill
%
\end{titlepage}
\fi}
%**************************************صفحه داروان انگلیسی
\newcommand{\latinDavaranPage}{
\newpage
%\setcounter{page}{1}
\thispagestyle{empty}
%\vspace{-30mm}
%\vskip 5cm
\topmargin=-30pt
\centerline{{\includegraphics[width=2.5cm]{logo}}}
\par
\vskip 1.5cm
\begin{center}
{\LARGE\textbf\@latintitle}
\end{center}\par
\par
\vskip 1.5cm
\begin{center}
{\LARGE\textbf{by}}
\end{center}
\par
\begin{center}
{\textbf\Large\bfseries{\large\bfseries   \@latinname \ \@latinsurname}}
\end{center}
\par
\vskip 10mm
\begin{center}
%{\Large\textbf{پایان نامه}}\\
%\vskip 2mm
{\textbf{A thesis submitted to the office of the Post – Graduate, in partial fulfillment of the requirement for the degree of  \\
\vskip 2mm
%درجۀ
\Large\textbf{\@latindegree}
}}
\end{center} 
\par
\vskip 7mm
\begin{center}
{\large\textbf{in}}
\end{center}
\begin{center}
{\large\textbf{\@latinsubject}}
\end{center}
%\vskip 3mm
%\begin{center}
%\small{در تاریخ ................ توسط هیأت داوران زیر بررسی و با درجۀ ..................... به تصویب نهایی رسید.}
%\end{center}
\vskip 1cm

%\begin{tabular}{ccc}
%
%• & • & • \\ 
%
%1- Supervisor: & \textbf{\@firstlatinsupervisor} & • \\ 
%
%2- Advisor: & \textbf{\@firstlatinadvisor} & • \\ 
%
%3-Intrernal Examiner: & \textbf{\@latininnerjuror} & • \\ 
%
%4- Extrrnal examiner: & \textbf{\@latinouterjuror} & • \\ 
%\end{tabular} 
\begin{tabular}{@{}ll@{}}
1- Supervisor:&  \textbf{\@firstlatinsupervisor}   \\
2- Advisor: &   \textbf{\@firstlatinadvisor}  \\
3- Examiner:&   \textbf{\@latininnerjuror}\\
4- Examiner: &   \textbf{\@latinouterjuror} \\
Representative of the Post – Graduate office:& \textbf{\@latinGo}  \\
\end{tabular} 
\vskip 5mm
\centerline{\large\textbf{\@latinthesisdate} }

%1- استاد راهنما:\;\;    \@firstsupervisor    \; \; با مرتبۀ علمی \@fsdegree \;\; امضاء\\
%%\vskip 2mm
%2- استاد مشاور: \;\;   \@firstadvisor    \; \; با مرتبۀ علمی \@fadegree \;\; امضاء\\
%%\vskip 2mm
%3- استاد داور داخل گروه:\;\;    \@innerjuror    \;\; با مرتبۀ علمی \@ijdegree  \;\; امضاء\\
%%\vskip 2mm
%4- استاد داور خارج گروه: \;\;  \@outerjuror   \;\; با مرتبۀ علمی \@ojdegree \;\; امضاء\\
%%\vskip 2mm
%5- نمایندۀ تحصیلات تکمیلی دانشگاه: \;\;  \@geAgent  \;\; با مرتبۀ علمی \@gedegree \;\; امضاء\\

%گرایش: \@field
}
%******************************صفحه عنوان
\def\onvan{عنوان}
\def\writtenfor{برای دریافت درجه }
\def\by{پژوهشگر}
\def\latinby{By:}
\def\cleardoublepage{\clearpage\if@twoside \ifodd\c@page\else
\hbox{}
\thispagestyle{empty}
\newpage
\if@twocolumn\hbox{}\newpage\fi\fi\fi}


%% N.Ranjbar
%% 
%% Copyright © 2011-2012      by Vahid Damanafshan     
%% 
%% Distributable under the LaTeX Project Public License,
%% version 1.3c or higher (your choice). The latest version of
%% this license is at: http://www.latex-project.org/lppl.txt
%% 
%% This work is "maintained" (as per LPPL maintenance status)
%%  by Vahid Damanafshan.
%% 
%% 
%% 
%% 
%% Special thanks to Vafa Khalighi for his invaluable hints.
%%
%% End of file `IUST-Thesis.cls'.
